Bug 956868 - [abrt] lightdm-1.6.0-3.fc19: config_get_boolean: Process /usr/sbin/lightdm was killed by signal 11 (SIGSEGV)
Summary: [abrt] lightdm-1.6.0-3.fc19: config_get_boolean: Process /usr/sbin/lightdm wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3a8d080d6131a24660d0dc9bb15...
Depends On:
Blocks: 955147
TreeView+ depends on / blocked
 
Reported: 2013-04-25 19:58 UTC by D. Charles Pyle
Modified: 2016-03-28 18:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-28 18:38:50 UTC


Attachments (Terms of Use)
File: backtrace (7.98 KB, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: cgroup (160 bytes, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (199 bytes, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: dso_list (1.72 KB, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: environ (168 bytes, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: maps (8.96 KB, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: open_fds (102 bytes, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (23.35 KB, text/plain)
2013-04-25 19:58 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2013-04-25 19:58:28 UTC
Description of problem:
Installed latest updates for lightDM in updates-testing.
Computer boots into black screen.
Reboot.
Computer boots again into black screen.
Repeat.  100% reproducible.
Had to logon to another tty and run startx to get to gnome-shell 3.8.1.
Got this error in abrt.
Changed display manager to GDM until this is fixed.

Version-Release number of selected component:
lightdm-1.6.0-3.fc19

Additional info:
backtrace_rating: 4
cmdline:        lightdm --session-child 88 91
crash_function: config_get_boolean
executable:     /usr/sbin/lightdm
kernel:         3.9.0-0.rc8.git0.2.fc19.x86_64
runlevel:       N 5
uid:            0
ureports_counter: 2

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 config_get_boolean at configuration.c:88
 #1 session_child_run at session-child.c:200

Comment 1 D. Charles Pyle 2013-04-25 19:58:30 UTC
Created attachment 740049 [details]
File: backtrace

Comment 2 D. Charles Pyle 2013-04-25 19:58:32 UTC
Created attachment 740050 [details]
File: cgroup

Comment 3 D. Charles Pyle 2013-04-25 19:58:34 UTC
Created attachment 740051 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2013-04-25 19:58:36 UTC
Created attachment 740052 [details]
File: dso_list

Comment 5 D. Charles Pyle 2013-04-25 19:58:37 UTC
Created attachment 740053 [details]
File: environ

Comment 6 D. Charles Pyle 2013-04-25 19:58:39 UTC
Created attachment 740054 [details]
File: limits

Comment 7 D. Charles Pyle 2013-04-25 19:58:40 UTC
Created attachment 740055 [details]
File: maps

Comment 8 D. Charles Pyle 2013-04-25 19:58:41 UTC
Created attachment 740056 [details]
File: open_fds

Comment 9 D. Charles Pyle 2013-04-25 19:58:43 UTC
Created attachment 740057 [details]
File: proc_pid_status

Comment 10 D. Charles Pyle 2013-04-25 19:58:45 UTC
Created attachment 740058 [details]
File: var_log_messages

Comment 11 Gregor Tätzner 2013-04-25 20:24:10 UTC
probably related to our new hardened_build flags

Comment 12 Rex Dieter 2013-04-26 05:07:49 UTC
Yes, confirmed.  lightdm-1.6.0-3 update has been revoked, until we can investigate this more.

Comment 13 da|ax 2013-04-26 11:29:39 UTC
Not sure what you mean by revoked:

Fri Apr 26 07:28:15 EDT 2013
[root@localhost log]# yum list updates
Loaded plugins: langpacks, refresh-packagekit
Updated Packages
lightdm.x86_64                                          1.6.0-3.fc19                                  updates-testing
lightdm-gobject.x86_64                                  1.6.0-3.fc19                                  updates-testing
lightdm-gtk.x86_64                                      1.5.1-2.fc19                                  updates-testing

Comment 14 Rex Dieter 2013-04-26 12:16:23 UTC
See last line of in bodhi update status:
https://admin.fedoraproject.org/updates/FEDORA-2013-6618

rdieter (proventesters) - 2013-04-26 04:57:09
This update has been unpushed

Comment 15 Fedora Update System 2013-04-26 12:41:19 UTC
lightdm-1.6.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lightdm-1.6.0-4.fc19

Comment 16 Fedora Update System 2013-04-26 16:46:26 UTC
Package lightdm-1.6.0-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-1.6.0-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6713/lightdm-1.6.0-4.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-04-27 17:26:06 UTC
Package lightdm-kde-0.3.2.1-2.fc19, lightdm-gtk-1.5.1-2.fc19, lightdm-1.6.0-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-kde-0.3.2.1-2.fc19 lightdm-gtk-1.5.1-2.fc19 lightdm-1.6.0-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6713/lightdm-kde-0.3.2.1-2.fc19,lightdm-gtk-1.5.1-2.fc19,lightdm-1.6.0-4.fc19
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-05-02 04:36:32 UTC
lightdm-kde-0.3.2.1-2.fc19, lightdm-gtk-1.5.1-2.fc19, lightdm-1.6.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-03-24 14:56:49 UTC
lightdm-1.10.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-97272d76c4

Comment 20 Fedora Update System 2016-03-26 15:20:13 UTC
lightdm-1.10.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-97272d76c4

Comment 21 Rex Dieter 2016-03-28 18:38:50 UTC
sorry, inadvertantly re-opened, re-closing


Note You need to log in before you can comment on or make changes to this bug.